#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-6h63B2J0Nk0D4hiiiFhucR
key:                  enclosed-exceptions-1.0.3-6h63B2J0Nk0D4hiiiFhucR
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  f3119c3b71605f6b028f694a619d53f9
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-9.0.1/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/enclosed-exceptions-1.0.3
hs-libraries:         HSenclosed-exceptions-1.0.3-6h63B2J0Nk0D4hiiiFhucR
depends:
    base-4.15.0.0 deepseq-1.4.5.0
    lifted-base-0.2.3.12-345ABNfoc1Y29TGjsYRirW
    monad-control-1.0.3.1-35xPztMW5YcGQ08ABhUhis transformers-0.5.6.2
    transformers-base-0.4.6-ANOijW5Ti9mCwAjTpboAOu

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

